PROGRAM DATIM(OUTPUT);
TYPE STR10=PACKED ARRAY [1..10] OF CHAR;
     STR11=PACKED ARRAY [1..11] OF CHAR;
VAR DAT: STR10;
    TIM: STR11;
    ND,NT: INTEGER;
FUNCTION DATE(VAR DAT:STR10): INTEGER; EXTERNAL;
FUNCTION TIME(VAR TIM:STR11): INTEGER; EXTERNAL;
BEGIN
  ND:=DATE(DAT);
  WRITELN('Date is ',DAT,' (',ND,' chars)');
  NT:=TIME(TIM);
  WRITELN('Time is ',TIM,' (',NT,' chars)')
END.
